Skip to main content

Get conversation skills

GET /api/v1/app-conversations/{conversation_id}/skills

Get all skills associated with the conversation. This endpoint returns all skills that are loaded for the v1 conversation. Skills are loaded from multiple sources: - Sandbox skills (exposed URLs) - Global skills (alsairy/faheem-code-skills/) - User skills (~/.faheem-code/skills/) - Organization skills (org/.faheem-code repository) - Repository skills (repo .agents/skills/, .faheem-code/microagents/, and legacy .faheem-code/skills/) Returns: JSONResponse: A JSON response containing the list of skills. Returns an empty list if the sandbox is not running.

Parameters

NameInTypeRequiredDescription
conversation_idpathstringyes

Responses

StatusDescription
200Successful Response
422Validation Error

Operation ID: get_conversation_skills_api_v1_app_conversations__conversation_id__skills_get